# PluginCodec_H323GenericParameterDefinition Struct Reference

`#include <opalplugin.h>`

Collaboration diagram for PluginCodec_H323GenericParameterDefinition:

[legend]

## Public Types

| PluginCodec_GenericParameter_Logical = 0
| PluginCodec_GenericParameter_BooleanArray
| PluginCodec_GenericParameter_UnsignedMin
| PluginCodec_GenericParameter_UnsignedMax
| PluginCodec_GenericParameter_Unsigned32Min
| PluginCodec_GenericParameter_Unsigned32Max
| PluginCodec_GenericParameter_OctetString
| PluginCodec_GenericParameter_GenericParameter
| PluginCodec_GenericParameter_logical = 0
| PluginCodec_GenericParameter_booleanArray
| PluginCodec_GenericParameter_unsignedMin
| PluginCodec_GenericParameter_unsignedMax
| PluginCodec_GenericParameter_unsigned32Min
| PluginCodec_GenericParameter_unsigned32Max
| PluginCodec_GenericParameter_octetString
| PluginCodec_GenericParameter_genericParameter

enum

PluginCodec_H323GenericParameterType {
PluginCodec_GenericParameter_Logical = 0, PluginCodec_GenericParameter_BooleanArray, PluginCodec_GenericParameter_UnsignedMin, PluginCodec_GenericParameter_UnsignedMax,
PluginCodec_GenericParameter_Unsigned32Min, PluginCodec_GenericParameter_Unsigned32Max, PluginCodec_GenericParameter_OctetString, PluginCodec_GenericParameter_GenericParameter,
PluginCodec_GenericParameter_logical = 0, PluginCodec_GenericParameter_booleanArray, PluginCodec_GenericParameter_unsignedMin, PluginCodec_GenericParameter_unsignedMax,
PluginCodec_GenericParameter_unsigned32Min, PluginCodec_GenericParameter_unsigned32Max, PluginCodec_GenericParameter_octetString, PluginCodec_GenericParameter_genericParameter
}

## Data Fields

struct {
int collapsing:1
int excludeTCS:1
int excludeOLC:1
int excludeReqMode:1
int readOnly:1
}; |
unsigned int | id
enum PluginCodec_H323GenericParameterDefinition::PluginCodec_H323GenericParameterType | type
union {
unsigned long integer
const char * octetstring
PluginCodec_H323GenericParameterDefinition * genericparameter
} | value

## Member Enumeration Documentation

enum PluginCodec_H323GenericParameterDefinition::PluginCodec_H323GenericParameterType

Enumerator:

  PluginCodec_GenericParameter_Logical |
  PluginCodec_GenericParameter_BooleanArray |
  PluginCodec_GenericParameter_UnsignedMin |
  PluginCodec_GenericParameter_UnsignedMax |
  PluginCodec_GenericParameter_Unsigned32Min |
  PluginCodec_GenericParameter_Unsigned32Max |
  PluginCodec_GenericParameter_OctetString |
  PluginCodec_GenericParameter_GenericParameter |
  PluginCodec_GenericParameter_logical |
  PluginCodec_GenericParameter_booleanArray |
  PluginCodec_GenericParameter_unsignedMin |
  PluginCodec_GenericParameter_unsignedMax |
  PluginCodec_GenericParameter_unsigned32Min |
  PluginCodec_GenericParameter_unsigned32Max |
  PluginCodec_GenericParameter_octetString |
  PluginCodec_GenericParameter_genericParameter |

## Field Documentation

struct { ... }

int PluginCodec_H323GenericParameterDefinition::collapsing

int PluginCodec_H323GenericParameterDefinition::excludeOLC

int PluginCodec_H323GenericParameterDefinition::excludeReqMode

int PluginCodec_H323GenericParameterDefinition::excludeTCS

struct PluginCodec_H323GenericParameterDefinition* PluginCodec_H323GenericParameterDefinition::genericparameter

unsigned int PluginCodec_H323GenericParameterDefinition::id

unsigned long PluginCodec_H323GenericParameterDefinition::integer

const char* PluginCodec_H323GenericParameterDefinition::octetstring

int PluginCodec_H323GenericParameterDefinition::readOnly

enum PluginCodec_H323GenericParameterDefinition::PluginCodec_H323GenericParameterType PluginCodec_H323GenericParameterDefinition::type

union { ... } PluginCodec_H323GenericParameterDefinition::value

The documentation for this struct was generated from the following file:

- opalplugin.h